man(1)

NAME
tilemaker - Generates vector tiles from OpenStreetMap data

SYNOPSIS
tilemaker --input input.osm.pbf --output output.mbtiles

DESCRIPTION
This manual page documents briefly the tilemaker command.

tilemaker generates vector tiles from OpenStreetMap planet and diff files without any complex stack or need for a database. It uses the schema of OpenMapTiles by default, but custom vector tiles can be produced by modifying the JSON config (layer config and general options) and Lua processing script (mapping OSM tags to vector tile layers/attributes).

This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below:

--input
    Source path and file from OpenStreetMap (.osm.pbf).

--output
    Target path for vector tiles. Specify .mbtiles/.sqlite to create an mbtiles archive, or a directory to create individual .mvt files.

--config
    Path to layer and global config file (.json). config.json assumed if not specified.

--process
    Path to Lua processing script for processing tags. process.lua assumed if not specified.

--store
    Path to the directory to use as a temporary store during processing. If specified, tilemaker uses on-disk storage instead of holding everything in RAM. Fast storage (e.g. SSD) is strongly recommended.

--compact
    Reduce overall memory usage by assuming nodes are numbered sequentially (requires .osm.pbf to be pre-processed with osmium renumber).

--merge
    Merge with existing .mbtiles/.sqlite file.

--bbox
    Bounding box to use if the input file does not set one in the header (as minlon,minlat,maxlon,maxlat).

--skip-integrity
    Don't enforce checks on all nodes being present in ways.

--verbose
    Outputs any issues encountered during tile creation.

--threads
    Number of threads (automatically detected if 0).

--help
    Show help message for tilemaker.

BUGS
No known bugs.

AUTHOR
This manual page was written by tilemaker contributors.